/* Output from p2c, the Pascal-to-C translator */
/* From input file "mustpu.pas" */

#define MUSTPU_G
#include "mustpu.h"

#define false 0
#define true 1

int Freq(s, f)
char *s;
int *f;
{
  unsigned short Di, Fr;
  int err;

  err = false;
  switch (s[strlen(s) - 1]) {

  case 'h':
  case 'H':
    Di = 0;
    break;

  case '4':
    Di = 1;
    break;

  case '3':
    Di = 2;
    break;

  case '2':
    Di = 3;
    break;

  case '1':
    Di = 4;
    break;

  case 's':
  case 'S':
    Di = 5;
    break;

  case 'b':
  case 'B':
    Di = 6;
    break;

  case 'k':
  case 'K':
    Di = 7;
    break;

  case 'l':
  case 'L':
    Di = 8;
    break;

  default:
    err = true;
    break;
  }
  if (strlen(s) == 2) {
    switch (s[0]) {

    case 'd':
    case 'D':
      Fr = 4190;
      break;

    case 'r':
    case 'R':
      Fr = 4698;
      break;

    case 'm':
    case 'M':
      Fr = 5274;
      break;

    case 'f':
    case 'F':
      Fr = 5588;
      break;

    case 's':
    case 'S':
      Fr = 6352;
      break;

    case 'l':
    case 'L':
      Fr = 7040;
      break;

    case 'c':
    case 'C':
      Fr = 7902;
      break;

    default:
      err = true;
      break;
    }
  } else {
    switch (s[0]) {

    case 'd':
    case 'D':
      Fr = 4430;
      break;

    case 'r':
    case 'R':
      Fr = 4980;
      break;

    case 'f':
    case 'F':
      Fr = 5920;
      break;

    case 's':
    case 'S':
      Fr = 6640;
      break;

    case 'c':
    case 'C':
      Fr = 7460;
      break;

    default:
      err = true;
      break;
    }
  }
  *f = Fr >> Di;
  return err;
}  /* Freq */




/* End. */
